package libmp3lame

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/ffmpeg/encoder"
)

func NewEncoder() encoder.EncoderContract {
	parameters := map[string]encoder.ParameterContract{}
	getParams := func(parameters map[string]encoder.ParameterContract) []string {
		return []string{"-c:a", "libmp3lame"}
	}

	return encoder.NewEncoder("libmp3lame", parameters, getParams)
}

func NewData() encoder.EncoderDataContract {
	title := "libmp3lame"
	formats := []string{"mp3"}
	fileType := encoder.FileType(encoder.Audio)
	return encoder.NewData(title, formats, fileType, NewEncoder)
}
