package libwebp_anim

import (
	"git.kor-elf.net/kor-elf/gui-for-ffmpeg/internal/ffmpeg/encoder"
)

func NewEncoder() encoder.EncoderContract {
	parameters := map[string]encoder.ParameterContract{}
	getParams := func(parameters map[string]encoder.ParameterContract) []string {
		return []string{"-c:v", "libwebp_anim"}
	}

	return encoder.NewEncoder("libwebp_anim", parameters, getParams)
}

func NewData() encoder.EncoderDataContract {
	title := "libwebp_anim"
	formats := []string{"webp"}
	fileType := encoder.FileType(encoder.Image)
	return encoder.NewData(title, formats, fileType, NewEncoder)
}
